﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition
Imports GetPerimeterDemo.CoordSysEnums
Imports System.Collections.ObjectModel
Imports Microsoft.SqlServer.Types
Public Class Form1
   Private WithEvents moMap As WinformsMap
   Private moShapefile As ShapeFileFeatureLayer
   Private WithEvents moEditOverlay As New CustomEditOverlay
   Public Sub New()
      InitializeComponent()

      moMap = New WinformsMap
      moMap.Dock = DockStyle.Fill
      Controls.Add(moMap)

   End Sub

   Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles Me.Load
      Dim sPath As String = "..\..\Data\Alabama1.shp"
      moShapefile = New ShapeFileFeatureLayer(sPath, ShapeFileReadWriteMode.ReadWrite)

      'moShapefile.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Blue, 2)

      'moShapefile.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.State1("NAME")

      moShapefile.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Blue, 2))
      moShapefile.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(TextStyles.State1("This State is [NAME]"))

      moShapefile.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20

      Dim oOverlay As New LayerOverlay
      oOverlay.Layers.Add(moShapefile)
      moMap.Overlays.Add(oOverlay)
      moMap.MapUnit = GeographyUnit.DecimalDegree
      moShapefile.Open()
      moMap.CurrentExtent = moShapefile.GetBoundingBox

      Dim oFeatures As Collection(Of Feature) = moShapefile.QueryTools.GetAllFeatures(ReturningColumnsType.AllColumns)

      With moEditOverlay
         .EditShapesLayer.InternalFeatures.Add(oFeatures(0))
         .CanAddVertex = False
         .CanDrag = False
         .CanResize = False
         .CanRotate = False
         .CanReshape = True
         .CalculateAllControlPoints()
         .EditableLayer = moShapefile
         .Map = moMap
      End With
      moMap.EditOverlay = moEditOverlay


      moMap.Refresh()


   End Sub

End Class
